{% extends 'base.html' %}

{% block title %}
    Scrumptious Recipes
{% endblock title %}

{% block content %}
    <header>
        <nav>
            <a href="{% url 'recipe_list' %}">Main page</a>
            <!-- <a href="{% url 'create_recipe' %}">Create a recipe</a> -->


            <!-- adding the signup page -->
            {% if user.is_authenticated %}
                Hello, {{ user.username }}
                <a href="{% url 'create_recipe' %}">Create a recipe</a>
                <a href="{% url 'my_recipe_list' %}">My recipes</a>
                <a href="{% url 'user_logout' %}">Log out</a>
            {% else %}
                <a href="{% url 'signup' %}">Sign up</a>
                <a href="{% url 'user_login' %}">Login</a>
            {%  endif %}
        </nav>
    </header>
    <main>
        <h1>Scrumptious Recipes</h1>
        <h2>All the food that's fit to eat</h2>

    <div class="taco-grid">
        {% for recipe in recipe_list %}
        <div class="grid-images">
            <h3>
                <a href="{% url 'show_recipe' recipe.id  %}">{{ recipe.title }}</a>
                </h3>
                <img src="{{ recipe.picture }}" alt="image of a taco plate">
                <div>4.3 stars</div>
                <p>{{ recipe.created_on|date:"d M Y" }}</p>
        </div>
        {% endfor %}
    </div>

    </main>
{% endblock content %}
